#/bin/bash

if [ -z $1 ]
then
 echo "Usage: Lexor.sh <vo> [0,l,2]"
 exit 1
else
 vo=$1
fi

if [ -z $2 ]
then
   log=0
else
   log=$2
fi

#Check if exists direcriry GridCom
d_gridcom="$HOME/GridCom"

if [ -d $d_gridcom ]; then
 echo "$d_gridcom directory - exists"
else
    echo "Directory $d_gridcom not exists, create it"
    mkdir $d_gridcom
fi 
cd $d_gridcom

pwd
export USR=`echo $USER`
export HM=`echo $HOME`

#grid-proxy-info -subject -timeleft > subjectname

ProxyExist=`$GLITE_LOCATION/bin/glite-voms-proxy-info 2>/dev/null | grep timeleft | wc -l`
ProxyExpired=`$GLITE_LOCATION/bin/glite-voms-proxy-info 2>/dev/null | grep  "timeleft  : 0:00:00" | wc -l`

echo "ProxyExist=$ProxyExist, ProxyExpired=$ProxyExpired"
#ProxyExist=1
#ProxyExpired=0
if [ $ProxyExist -gt 0 -a $ProxyExpired -eq 0 ]; then
    #nop
    :
else
    echo "Valid proxy is needed for Lexor execution!"
    $GLITE_LOCATION/bin/glite-voms-proxy-info
    if [ $ProxyExpired -gt 0 ]; then
        echo "Proxy credential expired!"
    fi
    exit 1
fi

# Set LFC server
#	for special VO set var LFC_HOST manually

setlfc="lcg-infosites --vo $vo lfc"
export LFC_HOST=`$setlfc` 
export LCG_CATALOG_TYPE=lfc
echo "LFC_HOST=$LFC_HOST"
echo "LCG_CATALOG_TYPE=$LCG_CATALOG_TYPE"
lfc-ls -l /grid > ftmp
grep "$vo" ftmp > /dev/null

if [ $? != 0 ]; then
 echo "Non valid LFC_HOST"
 exit 1 
fi


export CLASSPATH=$GC_LOC/mysql-connector-java-3.1.12-bin.jar:$GC_LOC/Lexor.jar

SN=`grid-proxy-info -subject`
TL=`grid-proxy-info -timeleft`

echo "VO=$vo"
echo "Subject name=$SN"
echo "Time left: $TL"
java LEXOR "$SN" $TL  $vo $log $USR $HM
